Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.linuxsampler.lscp.event
Interface InstrumentsDbListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  InstrumentsDbAdapter

    public interface InstrumentsDbListener

extends java.util.EventListener

The listener interface that is notified when changes to the instruments database are made.

Method Summary
`void` | `directoryCountChanged(InstrumentsDbEvent e)` Invoked when the number of instrument directories in a specific directory has changed.
`void` | `directoryInfoChanged(InstrumentsDbEvent e)` Invoked when the settings of an instrument directory are changed.
`void` | `directoryNameChanged(InstrumentsDbEvent e)` Invoked when an instrument directory is renamed.
`void` | `instrumentCountChanged(InstrumentsDbEvent e)` Invoked when the number of instruments in a specific directory has changed.
`void` | `instrumentInfoChanged(InstrumentsDbEvent e)` Invoked when the settings of an instrument are changed.
`void` | `instrumentNameChanged(InstrumentsDbEvent e)` Invoked when an instrument is renamed.
`void` | `jobStatusChanged(InstrumentsDbEvent e)` Invoked when the status of particular job has changed.

Method Detail

### directoryCountChanged

    void directoryCountChanged(InstrumentsDbEvent e)

  Invoked when the number of instrument directories in a specific directory has changed.

### directoryInfoChanged

    void directoryInfoChanged(InstrumentsDbEvent e)

  Invoked when the settings of an instrument directory are changed.

### directoryNameChanged

    void directoryNameChanged(InstrumentsDbEvent e)

  Invoked when an instrument directory is renamed.

### instrumentCountChanged

    void instrumentCountChanged(InstrumentsDbEvent e)

  Invoked when the number of instruments in a specific directory has changed.

### instrumentInfoChanged

    void instrumentInfoChanged(InstrumentsDbEvent e)

  Invoked when the settings of an instrument are changed.

### instrumentNameChanged

    void instrumentNameChanged(InstrumentsDbEvent e)

  Invoked when an instrument is renamed.

### jobStatusChanged

    void jobStatusChanged(InstrumentsDbEvent e)

  Invoked when the status of particular job has changed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Grigor Iliev. All rights reserved.